Last Comment Bug 548670 - Missing python version check in configure
: Missing python version check in configure
Status: RESOLVED FIXED
[fixed by bug 427750]
: fixed-seamonkey2.0.4
Product: MailNews Core
Classification: Components
Component: Build Config (show other bugs)
: 1.9.1 Branch
: All All
: -- minor (vote)
: ---
Assigned To: Serge Gautherie (:sgautherie)
:
Mentors:
http://mxr.mozilla.org/comm-central/s...
Depends on: 427750
Blocks:
  Show dependency treegraph
 
Reported: 2010-02-25 15:31 PST by Martin Stránský
Modified: 2010-03-18 06:40 PDT (History)
0 users
bugzillamozillaorg_serge_20140323: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
.4-fixed


Attachments
complete build log (90.80 KB, text/plain)
2010-02-26 00:20 PST, Martin Stránský
no flags Details

Description Martin Stránský 2010-02-25 15:31:43 PST
We may missing a minimal suitable python version check in configure script like firefox has. For instance it fails with:

/usr/bin/python ../toolkit/xre/make-platformini.py --print-buildid > buildid
Traceback (most recent call last):
  File "../toolkit/xre/make-platformini.py", line 4, in ?
    from datetime import datetime
ImportError: No module named datetime

with python-2.2.3-6.11
Comment 1 Serge Gautherie (:sgautherie) 2010-02-25 18:29:38 PST
m-1.9.1 doesn't have such a check (yet). Moving to trunk (m-1.9.2+).

What command do you run to get this error?
What result do you get if you try "the same" directly from m-c?
How do you pass c-c client.py check?
Comment 2 Martin Stránský 2010-02-26 00:14:27 PST
Here we come. There is the command which launches the build. python-2.2.3-6.11, RHEL-3. 

$make -f client.mk build STRIP=/bin/true MOZ_MAKE_FLAGS=-j2
Adding client.mk options from /usr/src/redhat/BUILD/seamonkey-2.0.3/comm-1.9.1/.mozconfig:
    BUILD_OFFICIAL=1
    MOZILLA_OFFICIAL=1
make[1]: Entering directory `/usr/src/redhat/BUILD/seamonkey-2.0.3/comm-1.9.1'
cd /usr/src/redhat/BUILD/seamonkey-2.0.3/comm-1.9.1
./configure
Adding configure options from ./.mozconfig:
  --enable-application=suite
  --prefix=/usr
  --libdir=/usr/lib
  --without-system-nspr
  --without-system-nss
  --with-system-jpeg
  --with-system-zlib
  --with-pthreads
  --disable-tests
  --disable-installer
  --disable-debug
  --enable-optimize=-O2 -g -pipe -march=i386 -mcpu=i686
  --enable-xinerama
  --enable-default-toolkit=cairo-gtk2
  --disable-xprint
  --disable-strip
  --enable-pango
  --disable-system-cairo
  --enable-svg
  --enable-canvas
  --enable-extensions=default,irc
  --enable-crypto
  --enable-safe-browsing
  --disable-crashreporter
  --enable-static
  --disable-system-hunspell
  --disable-dbus
  --disable-ogg
  --disable-wave
Comment 3 Martin Stránský 2010-02-26 00:20:47 PST
Created attachment 429071 [details]
complete build log
Comment 4 Serge Gautherie (:sgautherie) 2010-02-26 01:16:08 PST
(In reply to comment #3)
> complete build log

All configures ran fine: the error happens when starting to actually "make" 'mozilla'.
{
[...]
/usr/bin/gmake -C mozilla default
gmake[2]: Entering directory `/usr/src/redhat/BUILD/seamonkey-2.0.3/comm-1.9.1/mozilla'
[...]
/usr/bin/python ../toolkit/xre/make-platformini.py --print-buildid > buildid
Traceback (most recent call last):
  File "../toolkit/xre/make-platformini.py", line 4, in ?
    from datetime import datetime
ImportError: No module named datetime
gmake[5]: *** [export] Error 1
}

Moving back to 1.9.1: this "just" needs bug 427750 to land on m-1.9.1 too...
Comment 5 Mark Banner (:standard8) (afk until 26th July) 2010-03-17 09:21:35 PDT
Verified fixed on TB 3 as bug 427750 hasn't broken / affected the builds.

Note You need to log in before you can comment on or make changes to this bug.